summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author mannyslack <quakemanxs@yahoo.com>2010-05-11 20:00:34 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:00:34 +0200
commit736127208b974ffc401c7b6d74e59dd3c4068751 (patch)
tree4abc8f1c41c10d43a408c97537687c770cf99bfc /games
parent5b9b9c399aea6ee669c9b00e9c7ecb9ba7216051 (diff)
downloadslackbuilds-736127208b974ffc401c7b6d74e59dd3c4068751.tar.gz
slackbuilds-736127208b974ffc401c7b6d74e59dd3c4068751.tar.xz
games/prboom: Added to 12.0 repository
Diffstat (limited to 'games')
-rw-r--r--games/prboom/README24
-rw-r--r--games/prboom/prboom.SlackBuild60
-rw-r--r--games/prboom/prboom.info8
-rw-r--r--games/prboom/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/games/prboom/README b/games/prboom/README
new file mode 100644
index 0000000000..8fa2ba17e8
--- /dev/null
+++ b/games/prboom/README
@@ -0,0 +1,24 @@
+PrBoom is a modern doom game engine or "doom-port" to play idSoftware's Doom,
+Doom II, Doom expansion packs and custom "iwads" or mods (It doesn't include
+the game itself).It aims to be the most stable Doom port with the highest
+compatibility to the major Doom versions.
+
+If you don't own any of the Doom games, get the shareware doom1.wad from
+http://www.libsdl.org/projects/doom/data/doom1.wad.zip or google for it.
+Remember to rename it to lowercase: mv DOOM1.WAD doom1.wad Then copy
+doom1.wad to /usr/share/games/doom/
+
+If you have one or all of the main Doom data files from idSoftware -
+either doom.wad, doom2.wad, tnt.wad or plutonia.wad from one of the
+commercial Doom games copy them there too.
+
+Requirements: sdl (SDL_mixer, SDL_net, all included in the sdl-1.2.*
+package in slackware/l series)
+
+Highly recommended: Get the timidity.tar.gz from the SDL_mixer page
+http://www.libsdl.org/projects/SDL_mixer/timidity/timidity.tar.gz (14M)
+and extract in /usr/lib/ for the great game music.
+
+Suggested: Take a look at the docs, man pages or visit BahdKo at
+http://www.doom2.net to learn how to watch demos, info, files, etc.
+A great help for newcomers. (You may need a proxy to visit this url)
diff --git a/games/prboom/prboom.SlackBuild b/games/prboom/prboom.SlackBuild
new file mode 100644
index 0000000000..9caa6928de
--- /dev/null
+++ b/games/prboom/prboom.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for prboom
+# Written by mannyslack (quakemanxs@yahoo.com)
+
+PRGNAM=prboom
+VERSION=2.4.7
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-gl \
+ || exit 1
+# --enable-gl seems to have no effect, any ideas?
+
+make DESTDIR=$PKG || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING TODO INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/prboom/prboom.info b/games/prboom/prboom.info
new file mode 100644
index 0000000000..6c78f2116c
--- /dev/null
+++ b/games/prboom/prboom.info
@@ -0,0 +1,8 @@
+PRGNAM="prboom"
+VERSION="2.4.7"
+HOMEPAGE="http://prboom.sourceforge.net"
+DOWNLOAD="http://dl.sourceforge.net/sourceforge/prboom/prboom-2.4.7.tar.gz"
+MD5SUM="9942f521764d7f89df2218a456da4f02"
+MAINTAINER="mannyslack"
+EMAIL="quakemanxs@yahoo.com"
+APPROVED="BP{k}"
diff --git a/games/prboom/slack-desc b/games/prboom/slack-desc
new file mode 100644
index 0000000000..3ddeb21f83
--- /dev/null
+++ b/games/prboom/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+prboom: prboom (a port of the classic fps game Doom by idSoftware)
+prboom:
+prboom: Aims to be the most stable Doom port with the highest compatibility
+prboom: to the major Doom versions. Highres software and nice OpenGL
+prboom: rendering. Full Boom and most if not all MBF features.
+prboom:
+prboom:
+prboom: Homepage: http://prboom.sourceforge.net
+prboom:
+prboom:
+prboom: